SDK with ArcMap 10.3.1?

2861
3
11-25-2015 05:25 PM
JosephJose
New Contributor III

what version of SDK for .Net is compactible with ArcMap 10.3.1?

The latest version 10.2.6 ArcGIS Runtime SDK for .Net | ArcGIS for Developers  is not compactible

0 Kudos
3 Replies
FreddieGibson
Regular Contributor II

Are you having some problems using ArcMap 10.3.1. with Runtime .NET? I believe that you should be able to use any version of ArcMap 10.1.1 or higher to create runtime enabled map packages and 10.2.X or higher to create runtime content.

0 Kudos
AnttiKajanus1
Regular Contributor II

Could you clarify what you are doing with Runtime and ArcMap? If you are talking about using ArcGIS Runtime for .NET to extend ArcMap then that is not supported. For that you need to use ArcObjects. If you are using ArcMap to create data/services/geoprosessing packages and have problems with that could you tell more what you are doing?

0 Kudos
MarkCederholm
Regular Contributor II

There is a known issue creating map packages in ArcMap 10.3.1:

BUG-000084431

Map package created with runtime support in ArcMap 10.3 shows broken link when 'Reference all data' is checked

There is a hotfix for that but I don't know if it was made public.  The problem is marked as fixed for 10.4.

0 Kudos